/* 
MOBILE
*/
#header-mobile {
    top: 0;
    right: 0;
    left: 0;
    z-index: 200;
}


#header_m-logo {
    grid-column: 1/3;
    grid-row: 1;
    width: fit-content;
    height: fit-content;
}

#header_m-logo img {
    width: 8rem;
    max-width: 100%;
}



#header_m-toggle {
    grid-column: -4/-1;
    grid-row: 1;
    margin-top: auto;
    width: 100%;
    height: fit-content;
}

#header_m-toggle span {
    display: block;
    transition: margin 1000ms;
}
#header-mobile[data-status="open"] #header_m-toggle span {margin-left: auto;}



#header_m-menu {
    grid-column: -5/-1;
    grid-row: 2;
    width: 100%;
    height: fit-content;
    margin-top: -1px;
    transition: height 1000ms;
}
#header-mobile[data-status="close"] #header_m-menu {height: 0;}

#header_m-menu .--container {padding-top: var(--size-l);}



/* 
DESKTOP
*/
#header-desktop {
    top: 0;
    right: 0;
    left: 0;
    z-index: 200;
}

#header_d-logo {
    grid-column: 1/3;
    grid-row: 1;
    width: fit-content;
    height: fit-content;
}

#header_d-logo img {
    width: 8rem;
    max-width: 100%;
}

#header_d-menu {
    grid-column: -4/-1;
    grid-row: 1;
    row-gap: var(--size);
}